##
##  apache-perl.conf -- Apache configuration for Perl
##

#   load DSO
LoadModule  perl_module @l_prefix@/libexec/apache/mod_perl.so

#   load initialization script
PerlRequire @l_prefix@/etc/apache/apache-perl.pl

#   load CGI acceleration modules
PerlModule  ModPerl::RegistryPrefork
PerlModule  ModPerl::PerlRunPrefork

#   activate CGI acceleration by file extension
<Files ~ "\.pl$">
    SetHandler          perl-script
    PerlResponseHandler ModPerl::PerlRunPrefork
    PerlOptions         +ParseHeaders
    Options             +ExecCGI
</Files>

